Package org.springframework.cache.jcache.interceptor

# Interface JCacheOperation<A extends Annotation>

Type Parameters:
  `A` - the type of the JSR-107 annotation

All Superinterfaces:
  `org.springframework.cache.interceptor.BasicOperation`, `javax.cache.annotation.CacheMethodDetails<A>`

public interface JCacheOperation<A extends Annotation> extends org.springframework.cache.interceptor.BasicOperation, javax.cache.annotation.CacheMethodDetails<A>
Model the base of JSR-107 cache operation through an interface contract.

A cache operation can be statically cached as it does not contain any runtime operation of a specific cache invocation.

Since:
  4.1
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`javax.cache.annotation.CacheInvocationParameter[]`
`getAllParameters(Object... values)`
Return the `CacheInvocationParameter` instances based on the specified method arguments.
`org.springframework.cache.interceptor.CacheResolver`
`getCacheResolver()`
Return the `CacheResolver` instance to use to resolve the cache to use for this operation.

### Methods inherited from interface org.springframework.cache.interceptor.BasicOperation

`getCacheNames`

### Methods inherited from interface javax.cache.annotation.CacheMethodDetails

`getAnnotations, getCacheAnnotation, getCacheName, getMethod`

## Method Details

### getCacheResolver

org.springframework.cache.interceptor.CacheResolver getCacheResolver()
Return the `CacheResolver` instance to use to resolve the cache to use for this operation.

### getAllParameters

javax.cache.annotation.CacheInvocationParameter[] getAllParameters(Object... values)
Return the `CacheInvocationParameter` instances based on the specified method arguments.

The method arguments must match the signature of the related method invocation

Parameters:
  `values` - the parameters value for a particular invocation